> ## Documentation Index
> Fetch the complete documentation index at: https://platform.take.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch update inventory



## OpenAPI

````yaml openapi-v2 POST /api/v2/inventory_items/batch_update
openapi: 3.1.0
info:
  title: Take App Merchant API V2
  version: 2.0.0
  description: >-
    Authenticated Merchant API for stores. All money values are integers in the
    smallest currency unit (e.g. cents).
servers:
  - url: https://take.app
security:
  - bearerAuth: []
paths:
  /api/v2/inventory_items/batch_update:
    post:
      tags:
        - Inventory
      operationId: batchUpdateInventory
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InventoryBatchUpdate'
      responses:
        '200':
          description: Updated inventory items
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InventoryItem'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    InventoryBatchUpdate:
      type: array
      items:
        anyOf:
          - type: object
            properties:
              quantity:
                type: integer
                minimum: 0
              item_id:
                type: string
                minLength: 1
            required:
              - quantity
              - item_id
            additionalProperties: false
          - type: object
            properties:
              delta_quantity:
                type: integer
              item_id:
                type: string
                minLength: 1
            required:
              - delta_quantity
              - item_id
            additionalProperties: false
    InventoryItem:
      type: object
      properties:
        item_id:
          type: string
        object:
          type: string
          enum:
            - inventory_item
        item_type:
          type: string
          enum:
            - product
            - variant
        item_name:
          type:
            - string
            - 'null'
        product_id:
          type: string
        variant_id:
          type:
            - string
            - 'null'
        sku:
          type:
            - string
            - 'null'
        quantity:
          type: integer
        price:
          type: integer
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        original_price:
          type:
            - integer
            - 'null'
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        cost:
          type:
            - integer
            - 'null'
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        cost_enabled:
          type: boolean
        updated_at:
          type: string
          format: date-time
      required:
        - item_id
        - object
        - item_type
        - item_name
        - product_id
        - variant_id
        - sku
        - quantity
        - price
        - original_price
        - cost
        - cost_enabled
        - updated_at
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - permission_error
                - not_found_error
                - rate_limit_error
                - api_error
            code:
              type: string
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
          required:
            - type
            - code
            - message
            - request_id
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Merchant API V2 token. Pass as `Authorization: Bearer <token>`.'

````